Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class InternalTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jasig.portal.PortalException
                  org.jasig.portal.InternalTimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class InternalTimeoutException

extends PortalException

This exception would inform uPortal that a a channel has encountered an internal timeout exception.

Version:
  $Revision: 1.6 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`private java.lang.Long` | `timeoutValue` Timeout value, in milliseconds, that was exceeded.

Fields inherited from class org.jasig.portal.PortalException
`errorID, logPending, parameter, refreshable, reinstantiable, timestamp`

Constructor Summary
`InternalTimeoutException()` Instantiate a bare InternalTimeoutException.
`InternalTimeoutException(java.lang.String msg)` Instantiate an InternalTimeoutException, conveying the given message.
`InternalTimeoutException(java.lang.String msg, boolean refresh, boolean reinstantiate)` Instantiate an InternalTimeoutException conveying a message and specifying whether refresh and reinstantiation are appropriate responses.
`InternalTimeoutException(java.lang.String msg, long timeoutValue)` Instantiate an InternalTimeoutException conveying a message and specifying the timeout that was exceeded.
`InternalTimeoutException(java.lang.String msg, long timeoutValue, boolean refresh, boolean reinstantiate)` Instantiate an InternalTimeoutException conveying a message and specifying the timeout value that was exceeded as well as whether refresh and reinstantiation are appropriate responses to this problem.
`InternalTimeoutException(java.lang.String msg, java.lang.Throwable cause, long timeoutValue, boolean refresh, boolean reinstantiate)` Instantiate an InternalTimeoutException conveying a message and underlying cause and specifying the timeout value that was exceeded as well as whether refresh and reinstantiation are appropriate responses to this problem.

Method Summary
`java.lang.Long` | `getTimeoutValue()` Get the timeout value, in milliseconds, that was exceeded.

Methods inherited from class org.jasig.portal.PortalException
`allowRefresh, allowReinstantiation, getErrorID, getParameter, getRecordedException, getTimestamp, isLogPending, isRefreshable, isReinstantiable, setErrorID, setLogPending, setParameter, setRecordedException, setRefreshable, setReinstantiable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timeoutValue

    private java.lang.Long timeoutValue

  Timeout value, in milliseconds, that was exceeded.

Constructor Detail

### InternalTimeoutException

    public InternalTimeoutException()

  Instantiate a bare InternalTimeoutException. Deprecated because it would be so much more helpful if you instead use a constructor that takes a message, etc.

### InternalTimeoutException

    public InternalTimeoutException(java.lang.String msg)

  Instantiate an InternalTimeoutException, conveying the given message.

  Parameters:
    `msg` - message explaining the nature of the timeout

### InternalTimeoutException

    public InternalTimeoutException(java.lang.String msg,
                                    long timeoutValue)

  Instantiate an InternalTimeoutException conveying a message and specifying the timeout that was exceeded.

  Parameters:
    `msg` - describes nature of timeout
    `timeoutValue` - the timeout value in milliseconds that was exceeded

### InternalTimeoutException

    public InternalTimeoutException(java.lang.String msg,
                                    long timeoutValue,
                                    boolean refresh,
                                    boolean reinstantiate)

  Instantiate an InternalTimeoutException conveying a message and specifying the timeout value that was exceeded as well as whether refresh and reinstantiation are appropriate responses to this problem.

  Parameters:
    `msg` - describes nature of timeout
    `timeoutValue` - timeout value in milliseconds that was exceeded
    `refresh` - true if refresh is an appropriate response
    `reinstantiate` - true if reinstantiation is an appropriate response

### InternalTimeoutException

    public InternalTimeoutException(java.lang.String msg,
                                    java.lang.Throwable cause,
                                    long timeoutValue,
                                    boolean refresh,
                                    boolean reinstantiate)

  Instantiate an InternalTimeoutException conveying a message and underlying cause and specifying the timeout value that was exceeded as well as whether refresh and reinstantiation are appropriate responses to this problem.

  Parameters:
    `msg` - describes nature of timeout
    `cause` - underlying cause
    `timeoutValue` - timeout value in milliseconds that was exceeded
    `refresh` - true if refresh is an appropriate response
    `reinstantiate` - true if reinstantiation is an appropriate response

### InternalTimeoutException

    public InternalTimeoutException(java.lang.String msg,
                                    boolean refresh,
                                    boolean reinstantiate)

  Instantiate an InternalTimeoutException conveying a message and specifying whether refresh and reinstantiation are appropriate responses.

  Parameters:
    `msg` - describes nature of timeout problem
    `refresh` - true if refresh is an appropriate response
    `reinstantiate` - true if reinstantiation is an appropriate response

Method Detail

### getTimeoutValue

    public java.lang.Long getTimeoutValue()

  Get the timeout value, in milliseconds, that was exceeded.

  Returns:
    the timeout value, or null if none was recorded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD